%define name openbox-menu
%define version 0.3.6.8
%define release %mkrel 4

Summary:    Dynamic menus in Openbox WM
Summary(de): Dynamische Menüs in der Openbox WM
Summary(fr): Menus dynamiques pour le Gestionnaire de Fenêtres Openbox.
Name:       %{name}
Version:    %{version}
Release:    %{release}
URL:        http://mimarchlinux.googlecode.com/
License:    GPLv3
Source0:    http://mimarchlinux.googlecode.com/%{name}-%{version}.tar.xz
Source1:    %{name}.tar.bz2
Group:      Graphical desktop/Openbox
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel 
BuildRequires: %{_lib}menu-cache-devel
BuildRequires: make 
BuildRequires: pkgconfig 
Requires: openbox
Requires: menu-cache
Requires: %{_lib}menu-cache3


%description 
It's a pipe-menu that uses menu-cache from the Lxde project, 
to display/provide and update dynamically the Openbox menu 
entries, using the *.desktop files. 

#german
%description -l de
Es ist ein Pipe-Menü, das den Menü-Cache aus dem Lxde Projekt verwendet,
zum Anzeige/Bereitstellen und dynamische aktualisieren der Openbox-Menü
Einträge mit Hilfe von den *.desktop Dateien.

#france
%description -l fr
C'est un pipe-menu qui utilise le programme menu-cached menu-cache 
du projet Lxde, pour afficher/procurer et mettre à jour dynamiquement 
les entrées du menu de Openbox, en utilisant les fichiers *.desktop.

 
%prep

%setup -q 

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%_bindir
install -m 755 %{name} $RPM_BUILD_ROOT%_bindir
install -dm 755 $RPM_BUILD_ROOT/%_datadir/%{name}
bzip2 -cd %SOURCE1 | tar xf - -C $RPM_BUILD_ROOT/%{_datadir}

%clean
rm -rf $RPM_BUILD_ROOT


%post
echo "Read this description in french, and german language under /usr/share/openbox-menu/

You may use the menu.xml, rc.xml and autostart.sh files from /usr/share/openbox-menu 
as well as the scripts/xcompmgr.sh file  from /usr/share/openbox-menu, in order 
to get  openbox-menu to provide right-click dynamic menus on desktop and on your 
panel(s) (works with tint2, not with lxpanel as it has it's own right-clic menu), 
and a bit more:

The menu.xml file also contains command lines to allow the user to shutdown, 
reboot, logout and suspend the system without using root priviledges;

The file autostart.sh allows starting programs while initiating the X session 
(the Graphical mode).  It is configured so to  start several ones and you can 
personalise it, with the help of the comments written in it.

The rc.xml brings in some personalised keyboard shortcuts for you PCLinuxOS 
distribution, and you can add more shortcuts or tweak them later.

The directory script contains a bash script which is called from the menu.xml
allowing you to use or deactivate xcompmgr effects on the fly from the main
Openbox menu (provided xcompmgr is installed in your system).

To do that, you just have to copy theses files to your home directory 
~/.config/openbox

If you are not already using a PCLinuxOS Openbox version, you might want 
to backup your home .config/openbox original files before  copying theses files, 
incase you want to revert later."

%postun
rm -rf /usr/share/openbox-menu



%files 
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS COPYING
%_bindir/%{name}
%{_datadir}/%{name}

%changelog
* Sat Jul 13 2013 Texstar <texstar at gmail.com> 0.3.6.8-4pclos2013
- rebuild against updated menu-cache libs

* Wed Apr 17 2013 Texstar <texstar at gmail.com> 0.3.6.8-3pclos2013
- fix broken dependency

* Mon Dec 10 2012 daniel <meisssw01 at gmail.com> 0.3.6.8-2leiche2012
- repack with latest openbox-menu generated by melodie

* Thu Dec 06 2012 daniel <meisssw01 at gmail.com> 0.3.6.8-1leiche2012
- upstream tarball

* Thu Nov 29 2012 daniel <meisssw01 at gmail.com> 0.3.6.5-3leiche2012
- rebuild for latest menu-cache

* Sun Sep 04 2011 leiche <meisssw01 at gmail.com> 0.3.6.5-1leiche2011
- 0.3.6.5

* Mon Aug 29 2011 Texstar <texstar at gmail.com> 0.3.6.4-1pclos2011
- 0.3.6.4

* Sun Apr 17 2011 leiche <meisssw01 at aol.com> 0.3.6-1pclos2011
- 0.3.6
- add german synaptic description
- add france synaptic description, translated by Melodie  

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 0.3.5-2pclos2010
- rebuild against updated menu-cache

* Sun May 02 2010 slick50 <lxgator@gmail.com> 0.3.5-1pclos2010
- 0.3.5

* Wed Apr 28 2010 slick50 <lxgator@gmail.com> 0.3.4-3pclos2010
- rebuild 
- reworked config files per Melodie

* Mon Mar 29 2010 slick50 <lxgator@gmail.com> 0.3.4-2pclos2010
- rebuild 
- request per melodie, remove preset preferences - let the user set his own.

* Sat Mar 27 2010 slick50 <lxgator@gmail.com> 0.3.4-1pclos2010
- initial pkg

